<?php

namespace App\Modelos;

use Core\Database;

class EmpleadoComisionAgente extends Database
{
    protected $table    = 'app_empleados_agentes_tipo_comision';
    protected $id       = 'empagentipo_id';

    public function obtenerComisionesAgente($id_empleado)
    {
        return $this->consultar("SELECT * 
        FROM app_empleados_agentes_tipo_comision ec 
        JOIN app_comision c ON ec.empagentipo_comid = c.com_id 
        WHERE ec.empagentipo_agente=$id_empleado")->all();
    }

    public function eliminarComision($id)
    {
        return $this->consultar("DELETE FROM app_empleados_agentes_tipo_comision WHERE empagentipo_id=$id")->run();
    }
}
